## com.bbn.openmap.gui
Class ScrollPaneWindowSupport

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.gui.WindowSupport
              com.bbn.openmap.gui.ScrollPaneWindowSupport

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ComponentListener, java.util.EventListener, java.io.Serializable

public class ScrollPaneWindowSupport
extends WindowSupport

The ScrollPaneWindowSupport class does the same thing as WindowSupport, it just wraps content in a JScrollPane.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.gui.WindowSupport
`WindowSupport.Dlg, WindowSupport.Frm, WindowSupport.IntrnlFrm, WindowSupport.WSDisplay`

Field Summary

Fields inherited from class com.bbn.openmap.gui.WindowSupport
`componentLocation, componentSize, content, defaultWindowSupportDisplayType, display, DisplayWindowCmd, KillWindowCmd, maxHeight, maxWidth, persistentDisplayType, title`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`ScrollPaneWindowSupport(java.awt.Component content, java.lang.String windowTitle)` Create the window support.

Method Summary
`java.awt.Component` `modifyContent(java.awt.Component comp)` Wrap content in a JScrollPane.

Methods inherited from class com.bbn.openmap.gui.WindowSupport

`actionPerformed, addComponentListener, checkBounds, cleanUp, componentHidden, componentMoved, componentResized, componentShown, createDisplay, displayInWindow, displayInWindow, displayInWindow, displayInWindow, finalize, getComponentLocation, getComponentSize, getContent, getDefaultWindowSupportDisplayType, getDisplay, getTitle, getWindow, killWindow, removeComponentListener, setComponentLocation, setComponentSize, setContent, setDefaultPosition, setDefaultWindowSupportDisplayType, setDisplay, setMaxSize, setTitle`

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollPaneWindowSupport

    public ScrollPaneWindowSupport(java.awt.Component content,
                                   java.lang.String windowTitle)

  Create the window support.

Parameters:
  `content` - the content to display in the window.
  `windowTitle` - the title of the window.

Method Detail

### modifyContent

    public java.awt.Component modifyContent(java.awt.Component comp)

  Wrap content in a JScrollPane.

  Overrides:
    `modifyContent` in class `WindowSupport`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details